using ProtoBuf;

namespace Quasar.Common.Messages
{
    [ProtoContract]
    public class DoStartDesktopStream : IMessage
    {
        [ProtoMember(1)] public int Quality { get; set; }
        [ProtoMember(2)] public int DisplayIndex { get; set; }
        [ProtoMember(3)] public int IntervalMs { get; set; }
        [ProtoMember(4)] public bool UseH264 { get; set; }
        [ProtoMember(5)] public int H264BitrateKbps { get; set; }
        [ProtoMember(6)] public int H264Fps { get; set; }
    }
}
